Docs
Add Activity Segment
POST /Activities/{activityId}/segments
POST
/Activities/{activityId}/segmentsAdds a segment to the activity's run of show with a name, duration in minutes, color and a value for each configuration column. Column ids come from Activities_GetActivitySegments; needs an event token and event basic access.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| activityId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| index | integer | Optional | |
| name | string | Optional | |
| duration | integer | Optional | |
| color | string | Optional | |
| properties | AddActivitySegmentRequestSegmentProperty[] | Optional |
AddActivitySegmentRequestSegmentProperty
| Field | Type | Description |
|---|---|---|
| columnId | uuid | |
| value | string| null |